//
// Post FX

#ifdef GL_ES
precision highp float;
#endif
uniform sampler2D texture0;
uniform sampler2D texture1;
uniform float fade;
uniform vec2 resolution;
uniform float lowFreq;
uniform float editorCursorY;
uniform float time;

uniform float value4;
void main( void ) {
  vec2 pos = gl_FragCoord.xy;
  vec2 res = resolution;
  int i = 0;
  int cnt = 32;
  vec4 t0 = texture2D(texture0, vec2(pos.x/res.x, pos.y/res.y));
  vec4 t1 = texture2D(texture1, vec2(pos.x/res.x, pos.y/res.y));

  gl_FragColor = mix(t0, t1, fade);
}
 
