//
// Post FX

#ifdef GL_ES
precision highp float;
#endif
uniform sampler2D texture0;
uniform sampler2D texture1;
uniform float fade;
uniform vec2 resolution;
uniform float lowFreq;
uniform float editorCursorY;
uniform float time;

uniform float value4;
void main( void ) {
  vec2 pos = gl_FragCoord.xy;
  vec2 res = resolution;
  int i = 0;
  int cnt = 32;

  

  vec2 p0 = pos;
  vec2 p1 = pos;

  
  float sz0 = 1.0 + 32.0 * fade;
  p0.x = int(p0.x / sz0) * sz0;
  p0.y = int(p0.y / sz0) * sz0;
  float sz1 = 1.0 + 32.0 * (1.0 - fade);
  p1.x = int(p1.x / sz1) * sz1;
  p1.y = int(p1.y / sz1) * sz1;

  vec4 t0 = texture2D(texture0, p0 / res.xy);
  vec4 t1 = texture2D(texture1, p1 / res.xy);

  gl_FragColor = mix(t0, t1, fade);
}
 
